services:
  photoprism:
    container_name: photoprism
    devices:
      - /dev/dri:/dev/dri
    environment:
      - PHOTOPRISM_ADMIN_PASSWORD="${PHOTOPRISM_ADMIN_PASSWORD:?}"
      - PHOTOPRISM_AUTH_MODE=public
      - PHOTOPRISM_SITE_URL=http://localhost:2342/
      - PHOTOPRISM_ORIGINALS_LIMIT=5000
      - PHOTOPRISM_HTTP_COMPRESSION=gzip
      - PHOTOPRISM_LOG_LEVEL=info
      - PHOTOPRISM_READONLY=true
      - PHOTOPRISM_EXPERIMENTAL=false
      - PHOTOPRISM_DISABLE_CHOWN=true
      - PHOTOPRISM_DISABLE_WEBDAV=true
      - PHOTOPRISM_DISABLE_SETTINGS=false
      - PHOTOPRISM_DISABLE_TENSORFLOW=false
      - PHOTOPRISM_DISABLE_FACES=false
      - PHOTOPRISM_DISABLE_CLASSIFICATION=false
      - PHOTOPRISM_DISABLE_RAW=true
      - PHOTOPRISM_RAW_PRESETS=false
      - PHOTOPRISM_JPEG_QUALITY=85
      - PHOTOPRISM_DETECT_NSFW=false
      - PHOTOPRISM_UPLOAD_NSFW=true
      - PHOTOPRISM_DATABASE_DRIVER=sqlite
      - PHOTOPRISM_UID=1000
      - PHOTOPRISM_GID=1000
    image: photoprism/photoprism:240915
    ports:
      - 2342:2342
    restart: unless-stopped
    security_opt:
      - seccomp:unconfined
      - apparmor:unconfined
    volumes:
      - /opt/photoprism:/photoprism/storage
      - /opt/photoprism/originals:/photoprism/originals/
      - /mnt/yotta/radon/photoprism:/photoprism/storage/cache
      - /mnt/yotta/helium/shared/Photographs/Vakantie/Peter + Monique + Rik + Bram/Denemarken
        2022:/photoprism/originals/Shared/Vakantie/Peter + Monique + Rik + Bram/Denemarken
        2022
      - /mnt/yotta/helium/shared/Photographs/Vakantie/Familie/Ierland 2022:/photoprism/originals/Shared/Vakantie/Familie/Ierland
        2022
      - /mnt/yotta/helium/shared/Photographs/Vakantie/Peter + Monique + Rik + Bram/Schotland
        2022:/photoprism/originals/Shared/Vakantie/Peter + Monique + Rik + Bram/Schotland
        2022
      - /mnt/yotta/helium/shared/Photographs/Vakantie/Bram + Rik + Sanne/Kroatie
        2023:/photoprism/originals/Shared/Vakantie/Bram + Rik + Sanne/Kroatie
        2023
      - /mnt/yotta/helium/shared/Photographs/Vakantie/Peter + Monique + Rik + Bram/Zweden
        2023:/photoprism/originals/Vakantie/Peter + Monique + Rik + Bram/Zweden
        2023
      - /mnt/yotta/helium/shared/Photographs/Vakantie/Bram + Rik/Athene 2023:/photoprism/originals/Vakantie/Bram
        + Rik/Athene 2023
